%define version 2.6
%define name aumix
%define prefix %{_prefix}

Name: %{name}
Version: %{version}
Release: 3mdk
Summary: A gtk+/ncurses audio mixer 
Copyright: GPL
Group: Sound
Source0: http://www.jpj.net/~trevor/aumix/%{name}-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}.xpm.bz2
Source3: %{name}-32.xpm.bz2
Patch0: %{name}-%{version}.patch.bz2
URL: http://www.jpj.net/~trevor/aumix.html
Requires: initscripts >= 4.42
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
This is a program for adjusting audio mixers from the command line or scripts,
or interactively at the console or a terminal with a full-screen, ncurses-based
interface or a GTK-based X interface.

%prep
%setup
%patch -p0

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --with-alsa
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr install -C po

# icon
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/

# icon
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/icons/mini
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{prefix}/share/icons/%{name}.xpm

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi  
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO NEWS ChangeLog
/usr/bin/*
/usr/man/man1/*
/usr/share/aumix/
/usr/share/locale/*/LC_MESSAGES/*
/usr/lib/menu/*
/usr/share/icons/mini/*.xpm
/usr/share/icons/*.xpm


%changelog
* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6-3mdk
- corrected menu entry, added 32x32 icon

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6-2mdk
- remove aumix-minimal, chmouel doesn't need it anymore
- patch to provide a correct DATADIRNAME

* Thu Apr 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6-1mdk
- 2.6
- nice, this new version fixes a small bug :-)

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.5-2mdk
- added URL
- added hand-drawn (oops..) icon

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.5-1mdk
- 2.5

* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4-1mdk
- 2.4 with french translation :-)
- better without-gtk patch
- new groups
- menu entry

* Tue Mar 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.2-1mdk
- 2.2
- patch to new sources to continue to support aumix-minimal

* Thu Mar  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1-2mdk
- Remove dependences of gtk for aumix-minimal.

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1-1mdk
- Clean-up spec (thanks deb-helper).
- Reinsert aumix-minimal.
- 2.1.

* Tue Nov 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix xmix.

* Mon Nov 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.28.
- Correcting files list.

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.27.
- --with-alsa.

* Tue Sep 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed ukrainian language code (it is 'uk' not 'ua')

* Wed Jun 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.18.2 to 1.22.1 
- removed obsolete patch for 1.18.2

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- update to 1.18.2

* Mon Feb 22 1999 Bill Nottingham <notting@redhat.com>
- update to 1.18.1

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- update to 1.17

* Mon Feb  1 1999 Bill Nottingham <notting@redhat.com>
- update to 1.15

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 1.14

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.13

* Fri Aug 28 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.12

* Mon Aug 17 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.11

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.8

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source url
- updated version

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built with glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 1.6.1.

